Bug: Glitches in Pretty Breaks graduated rendering

2010-12-13 09:04 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13390

Description

With some data when using "Pretty Breaks" mode the graduated renderer creates unnecessary categories which are larger than the

maximum value in the data.  The biggest category still has the maximum value as its upper limit.

e.g. in the screenshot attached where the ZN column is used, the maximum value in the data is 1.58

in the screenshot where the CU column is used, the maximum value in the data is 0.145

Because so many extra columns are created in the CU example the effect on the map is much worse, as all the data ends up in a narrow

slice of the colour ramp (all the data is be yellow).

I've joined most of the attribute data to some made up shapes and attached it for an example (a few of the shapes got deleted when using

the "join attributes" tool for some reason, but it still has the same problems when using "Pretty Breaks").

Associated revisions

Revision 9d8b9fcb - 2012-10-02 12:47 AM - Giuseppe Sucameli

compute the correct number of categories using Pretty Breaks mode (fix #3330)

History

#1 - 2010-12-14 02:11 PM - Alister Hood

Sometimes using "Pretty Breaks" mode the graduated renderer creates unnecessary categories which are larger than the maximum value in the

data. The biggest category still has the maximum value as its upper limit.

Sorry, that explanation might not be clear enough.  See the attached screenshots.

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#4 - 2012-05-29 08:48 PM - Alister Hood
- File fix_pretty_breaks.diff added

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to Yes

- Status info deleted (0)

- OS version deleted (XP)

- Operating System changed from Windows to All

This fixes it.

#5 - 2012-08-19 11:50 PM - Alister Hood

- Priority changed from Low to Normal

I think I was mistaken assigning "Low" priority.

#6 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2012-10-01 03:48 PM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"9d8b9fcb38eb6f0b3177967bc9de7460a91a0a36".

Files

pretty_breaks.PNG 24.7 KB 2010-12-13 Alister Hood

pretty_breaks1.PNG 41.5 KB 2010-12-13 Alister Hood

test_temporal_data.zip 2.91 KB 2010-12-13 Alister Hood

fix_pretty_breaks.diff 506 Bytes 2012-05-29 Alister Hood
